# JsDoc Reference - CeL.IO.file

Class Index | File Index

## Classes

- _global_
- CeL
- CeL.code.API
- CeL.code.compatibility
- CeL.code.debug
- CeL.code.log
- CeL.code.reorganize
- CeL.data
- CeL.data.CSV
- CeL.data.XML
- CeL.env
- CeL.IO.file
- CeL.IO.Windows.file
- CeL.locale
- CeL.math
- CeL.math.Hamming
- CeL.math.polynomial
- CeL.math.quotient
- CeL.misc.check
- CeL.native
- CeL.net
- CeL.net.Ajax
- CeL.net.form.address
- CeL.net.form.bank_account
- CeL.net.form.education
- CeL.net.form.select_input
- CeL.net.HTA
- CeL.net.map
- CeL.net.SVG
- CeL.net.web
- CeL.OS.Windows
- CeL.OS.Windows.job
- CeL.OS.Windows.registry
- CeL.OS.WMI

# Class CeL.IO.file

檔案操作相關之 function。
Defined in: file.origin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CeL.IO.file() null module constructor

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CeL.IO.file.determine_base_path(base_path_structure, path_now) determine base path.
<static> | CeL.IO.file.is_absolute_path(path) is absolute or relative path, not very good solution
<static> | CeL.IO.file.parse_path(path) cf: getFN()

Class Detail
CeL.IO.file()
null module constructor
Method Detail
<static> {String} CeL.IO.file.determine_base_path(base_path_structure, path_now)
determine base path. 給定 base path 的結構後，藉由 path_now 推測 base path 的 full path. cf.

    alert(determine_base_path('kanashimi/www/cgi-bin/game/'));

Parameters:
{String} base_path_structure
  base path 的範本結構
{String} path_now

Returns:
  {String} 推測的 base path full path

<static> CeL.IO.file.is_absolute_path(path)
is absolute or relative path, not very good solution

Parameters:
{String} path

Returns:

Requires:
  dirSp,dirSpR

<static> CeL.IO.file.parse_path(path)
cf: getFN()

Parameters:
{String} path
  path name

Returns:

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Aug 05 2011 17:45:24 GMT+0800 (CST)